/*  Header file for covarion.c                               */

#ifndef _COVARION_H_
#define _COVARION_H_

#include "tree.h"


extern int numTaxa, numBases, maxPartitions, numPartitions, fileFormat;


extern int invariableSites;
extern short *invariable;

extern double covarionRate, ONfreq;
extern int covarion;
extern double CovRate[2];


/* prototypes */

void CreateHiddenStates(TTree *tree, int inNumSites);
void EvolveHiddenStates(TTree *tree, int inFromSite, int inNumSites);
void WriteHiddenStates(FILE *fv, TTree *tree);
void WriteAncestralEffectiveLengths(FILE *fv, TTree *tree);



#endif /* _COVARION_H_ */
